Reorder Components
POST /api/v1/workspaces/{workspace_id}/email_design_systems/{emailDesignSystemId}/reorder_components
POST
/api/v1/workspaces/{workspace_id}/email_design_systems/{emailDesignSystemId}/reorder_components
Reorders the components.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” workspace_id
required
integer
Workspace ID
emailDesignSystemId
required
integer
Email Design System ID
Request Body
Section titled “Request Body ”object
component_names
required
An ordered list of component names representing the desired display order.
Array<string>
Example
[ "hero", "footer", "cta"]Responses
Section titled “ Responses ”Successful
Unauthorized
object
message
required
string
Example
Record not foundForbidden
object
message
required
string
Example
Record not found